Package org.apache.storm.flux.model

## Enum GroupingDef.Type

- java.lang.Object
- - java.lang.Enum<GroupingDef.Type>
  - - org.apache.storm.flux.model.GroupingDef.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<GroupingDef.Type>`
  Enclosing class:
    GroupingDef

      public static enum GroupingDef.Type
      extends Enum<GroupingDef.Type>

  Types of stream groupings Storm allows.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `CUSTOM` |
    `DIRECT` |
    `FIELDS` |
    `GLOBAL` |
    `LOCAL_OR_SHUFFLE` |
    `NONE` |
    `SHUFFLE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GroupingDef.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static GroupingDef.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final GroupingDef.Type ALL

    - #### CUSTOM

          public static final GroupingDef.Type CUSTOM

    - #### DIRECT

          public static final GroupingDef.Type DIRECT

    - #### SHUFFLE

          public static final GroupingDef.Type SHUFFLE

    - #### LOCAL_OR_SHUFFLE

          public static final GroupingDef.Type LOCAL_OR_SHUFFLE

    - #### FIELDS

          public static final GroupingDef.Type FIELDS

    - #### GLOBAL

          public static final GroupingDef.Type GLOBAL

    - #### NONE

          public static final GroupingDef.Type NONE

  - ### Method Detail

    - #### values

          public static GroupingDef.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupingDef.Type c : GroupingDef.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupingDef.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null